Bug 447598

Summary: RFE: Update to 3.0.32 to bring in latest upstream bugfixes
Product: Red Hat Enterprise Linux 5 Reporter: Simo Sorce <ssorce>
Component: sambaAssignee: Simo Sorce <ssorce>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: 5.3CC: clalance, ddomingo, dpal, gdeschner, tao
Target Milestone: rcKeywords: Rebase
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Samba has been re-based to upstream version 3.2.0. This fixes several bugs, including one that prevented users from joining domains that used Windows 2003 as their name server. This update also fixes a bug that caused samba domain membership to break after changing the system password using net rpc changetrustpw. For a more comprehensive list of upstream samba updates included this release, refer to http://www.samba.org/samba/history/samba-3.0.32.html
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-20 16:47:55 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 454962    

Description Simo Sorce 2008-05-20 14:20:00 EDT
Description of problem:
The samba 3.0.x series is in bugfiv maintenance mode upstream.
All fixes going in are important bugfixes and no new development is done on the
3.0.x series.

Request to update samba to 3.0.29 to include the few fixes we could not backport
to 3.0.28 in time for 5.2
Comment 1 Steve Cleveland 2008-05-30 15:30:35 EDT
Agreed.  In particular, we have been fighting a problem with samba and cups
integration resolved in Samba 3.0.29 (Samba bug ID: 5372)
Comment 2 RHEL Product and Program Management 2008-06-02 15:58:13 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Dmitri Pal 2008-09-05 13:19:33 EDT
Added devel ack.
Comment 5 Guenther Deschner 2008-09-10 05:55:46 EDT
In order to have all latest fixes (incl. security fix) this really needs to be 3.0.32. Assuming this is not a problem.
Comment 9 Simo Sorce 2008-10-31 15:07:02 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
The Samba package has been rebased to the latest available bugfix release. No new features have been added with this release. The 3.0.x series is a bugfix only release tree since the release of samba 3.2.0
Comment 10 Don Domingo 2008-11-17 23:21:13 EST
this bug is now documented in the RHEL5.3 release notes. please refer to the following link within the next 24 hours or so to view the most current build:
http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5.3/html-single/Release_Notes/
Comment 11 Don Domingo 2008-11-17 23:21:13 EST
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1,3 @@
-The Samba package has been rebased to the latest available bugfix release. No new features have been added with this release. The 3.0.x series is a bugfix only release tree since the release of samba 3.2.0+Samba has been re-based to upstream version 3.2.0. This fixes several bugs, including one that prevented users from joining domains that used Windows 2003 as their name server. This update also fixes a bug that caused samba domain membership to break after changing the system password using net rpc changetrustpw. 
+
+For a more comprehensive list of upstream samba updates included this release, refer to http://www.samba.org/samba/history/samba-3.0.32.html
Comment 20 errata-xmlrpc 2009-01-20 16:47:55 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0180.html
Comment 22 Chris Lalancette 2010-07-19 09:05:10 EDT
Just clearing a bogus needinfo request.

Chris Lalancette